# checks version: major must match, minor must be less than or equal

set(PACKAGE_VERSION "1.8.0.8")

if("${PACKAGE_FIND_VERSION_MAJOR}" EQUAL "1")
    if ("${PACKAGE_FIND_VERSION_MINOR}" EQUAL "8")
        set(PACKAGE_VERSION_EXACT TRUE)
        message("Found exact syncAXIS version ${PACKAGE_VERSION} (requested ${PACKAGE_FIND_VERSION})")
    elseif("${PACKAGE_FIND_VERSION_MINOR}" LESS "8")
        set(PACKAGE_VERSION_COMPATIBLE TRUE)
        message("Found compatible syncAXIS version ${PACKAGE_VERSION} (requested ${PACKAGE_FIND_VERSION})")
    else()
        set(PACKAGE_VERSION_UNSUITABLE TRUE)
    endif()
else()
    set(PACKAGE_VERSION_UNSUITABLE TRUE)
endif()
